# OnQuit

An user is leaving a channel

Parameters

    $0 = nickname
    $1 = username
    $2 = hostname
    $3 = quit message

Window
Console
Description

Triggered when an user user is quitting IRC.
The QUIT message has already been processed by the server , so the user is effectively no longer on IRC. On the other side, it might be useful to access the user-related data from this event, thus the handler is called effectively just BEFORE the user is effectively removed from the IRC user list (and thus from the channels and query windows).
Calling 'halt' in this event will stop the quit message output (in ALL the windows!).

See also
OnPart, OnMePart

Main index, Event index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004